mp3splt-gtk

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
special_split.c File Reference
`#include <gtk/gtk.h>`
`#include <glib/gi18n.h>`
`#include <libmp3splt/mp3splt.h>`
`#include "special_split.h"`
`#include "preferences_tab.h"`
`#include "main_win.h"`
`#include "multiple_files.h"`
Include dependency graph for special_split.c:

Go to the source code of this file.

## Functions

void | activate_silence_parameters ()
void | activate_trim_parameters ()
GtkWidget * | create_special_split_page ()
void | deactivate_silence_parameters ()
void | deactivate_trim_parameters ()
void | select_split_mode (int split_mode)
void | split_mode_changed (GtkToggleButton *radio_b, gpointer data)

## Variables

GtkWidget * | all_min_silence_label
GtkWidget * | all_min_track_label
GtkWidget * | all_number_of_tracks_label
GtkWidget * | all_offset_label
GtkWidget * | all_silence_remove_silence
GtkWidget * | all_spinner_silence_minimum
GtkWidget * | all_spinner_silence_number_tracks
GtkWidget * | all_spinner_silence_offset
GtkWidget * | all_spinner_silence_threshold
GtkWidget * | all_spinner_track_minimum
GtkWidget * | all_spinner_trim_silence_threshold
GtkWidget * | all_threshold_label
GtkWidget * | all_trim_threshold_label
GtkWidget * | equal_tracks_label = NULL
GtkWidget * | file_mode_radio_button = NULL
GtkWidget * | multiple_files_component = NULL
gint | selected_split_mode = SELECTED_SPLIT_NORMAL
GtkWidget * | spinner_equal_tracks = NULL
GtkWidget * | spinner_time = NULL
gint | split_file_mode = FILE_MODE_SINGLE
GtkWidget * | split_mode_radio_button = NULL
GtkWidget * | time_label = NULL

## Detailed Description

The batch processing tab

this file is for the special split tab, where automatic split modes can be selected ..

Definition in file special_split.c.

## Function Documentation

GtkWidget* create_special_split_page | ( |  | ) |

creates the special split page

Definition at line 495 of file special_split.c.

Referenced by create_main_vbox().

Here is the caller graph for this function:

void select_split_mode | ( | int | split_mode | ) |

Set the split mode.

Definition at line 98 of file special_split.c.

Referenced by load_preferences().

Here is the caller graph for this function:

void split_mode_changed | ( | GtkToggleButton * | radio_b,
|  | gpointer | data
| ) |  |

Issued when the split mode selection changed.

Definition at line 159 of file special_split.c.